complexType "CollateralResponseReason"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (reasonCode, description?) | description
</...>

Content Model Elements (3):

  description (in collateralResponseReason), description (in collateralResponseReason), | reasonCode (in collateralResponseReason)

All Direct / Indirect Based Elements (1):

  collateralResponseReason

Known Usage Locations

- As direct type of elements (1):
  collateralResponseReason

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CollateralResponseReason"> <xsd:choice> <xsd:sequence> <xsd:element name="reasonCode" type="CollateralResponseReasonCode"/> <xsd:element minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> <xsd:element name="description" type="xsd:string"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
description

  Type: | xsd:string, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="description" type="xsd:string"/>

description

  Type: | xsd:string, predefined, simple content

  free form description of the reason
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="description" type="xsd:string"/>

reasonCode

  Type: | CollateralResponseReasonCode, simple content

  standard reason codes used for the collateral response message
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="reasonCode" type="CollateralResponseReasonCode"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.